/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package com.rjconsultores.ventaboletos.web.utilerias.render;

import com.rjconsultores.ventaboletos.entidad.Parada;
import com.rjconsultores.ventaboletos.entidad.Tramo;
import com.rjconsultores.ventaboletos.entidad.Via;
import java.math.BigDecimal;
import java.math.RoundingMode;
import org.zkoss.zul.Listcell;
import org.zkoss.zul.Listitem;
import org.zkoss.zul.ListitemRenderer;

/**
 *
 * @author Administrador
 */
public class RenderTramo implements ListitemRenderer {

    public void render(Listitem lstm, Object o) throws Exception {
        Tramo tramo = (Tramo) o;

        Listcell lc = new Listcell(tramo.getTramoId().toString());
        lc.setParent(lstm);

        lc = new Listcell(tramo.getDesctramo());
        lc.setParent(lstm);

        Parada origem = tramo.getOrigem();
        if (origem != null) {
            lc = new Listcell(origem.getDescparada());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        Parada destino = tramo.getDestino();
        if (destino != null) {
            lc = new Listcell(destino.getDescparada());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        Via via = tramo.getVia();
        if (via != null) {
            lc = new Listcell(via.getNombvia());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        BigDecimal kmReal = tramo.getKmReal();
        if (kmReal != null) {
            lc = new Listcell(kmReal.setScale(2, RoundingMode.UP).toString());
        } else {
            lc = new Listcell("");
        }
        lc.setParent(lstm);

        lstm.setAttribute("data", tramo);
    }
}
